import configparser
import os

from myrequests import log_decorator


class ReadUserIni:
    @log_decorator
    def __init__(self,username):
        data_config_path = os.path.join(os.path.dirname(os.path.dirname(__file__)), "data_config")
        self.user_data_config_path = os.path.join(data_config_path, username)
        ini_path = os.path.join(self.user_data_config_path, "config.ini")
        self.conf = configparser.ConfigParser()
        self.conf.read(ini_path, encoding="utf-8")


    @log_decorator
    def get_file_path(self,key):
        return os.path.join(self.user_data_config_path, self.conf.get("file", key))

    @log_decorator
    def get_table_name(self,key):
        return self.conf.get("table", key)

if __name__ == "__main__":
    ini = ReadUserIni("lh")
    print(ini.get_file_path("excel"))
